### Hierarchy

- GBSecurityPackage

### Implements

- IGBPackage

## Index

### Methods

- loadBot
- loadPackage
- onNewSession
- unloadBot
- unloadPackage

## Methods

### loadBot

- loadBot(min: GBMinInstance): void

- - Defined in deploy/security.gblib/index.ts:57

  #### Parameters

  - ##### min: GBMinInstance

  #### Returns void

### loadPackage

- loadPackage(core: IGBCoreService, sequelize: Sequelize): void

- - Defined in deploy/security.gblib/index.ts:45

  #### Parameters

  - ##### core: IGBCoreService

  - ##### sequelize: Sequelize

  #### Returns void

### onNewSession

- onNewSession(min: GBMinInstance, session: Session): void

- - Defined in deploy/security.gblib/index.ts:64

  #### Parameters

  - ##### min: GBMinInstance

  - ##### session: Session

  #### Returns void

### unloadBot

- unloadBot(min: GBMinInstance): void

- - Defined in deploy/security.gblib/index.ts:61

  #### Parameters

  - ##### min: GBMinInstance

  #### Returns void

### unloadPackage

- unloadPackage(core: IGBCoreService): void

- - Defined in deploy/security.gblib/index.ts:53

  #### Parameters

  - ##### core: IGBCoreService

  #### Returns void

Generated using TypeDoc